<?php
define('NTLCMS', 1);
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница перевода кредитов - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Перевод кредитов</b></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> В банке: '.coins(round($_USER['bank'], 2)).'</div>';
$error = null;
if (isset($_POST['col']) && isset($_POST['login']) && isset($_POST['comment']) && isset($_POST['code'])){
$isumma = isset($_POST['col']) ? filter_var($_POST['col'], FILTER_SANITIZE_NUMBER_INT) : '0';
$login = isset($_POST['login']) ? filter_var($_POST['login'], FILTER_SANITIZE_STRING) : false;
$comment = isset($_POST['comment']) ? filter_var($_POST['comment'], FILTER_SANITIZE_STRING) : false;
if (empty($isumma)){
$error.= 'Введите кол-во кредитов для перевода!<br/>';
} elseif (!is_numeric($isumma)){
$error.= 'Не верно введено количество кредитов!<br/>';
} elseif ($isumma > $_USER['bank']){
$error.= 'В банке нет такого количества кредитов!<br/>';
} elseif ($login == $ulogin){
$error.= 'Самому себе переводить запрещено!<br/>';
} elseif ($_USER['bank'] <= '0'){
$error.= 'У вас нет в банке кредитов!<br/>';
}
if (empty($login)){
$error.= 'Поле логин обязательно для заполнения!<br/>';
} elseif(!preg_match('#[a-zA-Z0-9_-]{3,15}#i', $login)){
$error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
} elseif(!DB :: run() -> querySingle("select (`login`) from `users` where `login` = '".$login."'")){
$error.= 'Пользователь с логином '.$login.' не найден!<br/>';
} elseif(preg_match('/([a-zA-Zа-яА-Я])+([0-9]{6})|(\s)|(\W)/', $login)){
$error.= 'Спец символы в логинах запрещены!<br/>';
}
if (empty($comment)){
$error.= 'Введите текст комментария!<br/>';
} elseif (mb_strlen($_POST['comment']) < 5 or mb_strlen($comment) > 50){
$error.= 'Комментарий должен быть менее 5 и не более 50 символов!<br/>';
}
if (empty($_POST['code'])){
$error.= 'Введите код с картинки!<br/>';
} elseif ($_SESSION['code'] != $_POST['code']){
$error.= 'Код с картинки введен не верно!<br/>';
}
$summa = abs($isumma) * (1 - (10 / 100));
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if (DB :: run() -> query("update `users` set `bank` = `bank` - '".((int) $isumma)."' where `login` = '".$ilogin."'")
&& DB :: run() -> query("update `users` set `bank` = `bank` + '".$summa."' where `login` = '".$login."'")){
DB :: run() -> query("insert into `perevod` set `time` = '".TIME."', `from` = '".$ilogin."', `to` = '".$login."', `comment` = '".$comment."', `kredit` = '".$summa."'");
DB :: run() -> query("insert into `notice` set `to` = '".$login."', `date` = '".TIME."', `status` = '1', `tema` = 'Перевод кредитов', `text` = '".$ilogin." перевел вам ".$summa." CR с комментарием: ".$comment."!'");
header('Location: '.URL.'/transfer');
$_SESSION['success'] = 'Вы успешно перевели '.$summa.' кр. пользователю '.$login.'!';
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Ошибка при переводе кредитов!</center></div>';
}
}
}
echo '<div class="menu"><center>Комиссия за перевод 10%</center></div>';
echo '<div class="menu"><form action="'.URL.'/transfer" method="post">
* Количество:<br/><input type="text" name="col" maxlength="10" value="1"/><br/>
* Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/>
* Комментарий:<br/><input type="text" name="comment" maxlength="100"/><br/>
<img src="'.URL.'/captcha.gif" alt="check"/><br/>
<input type="text" name="code" value="" maxlength="4" size="5"/><br/>
<input type="submit" value="Перевести кредиты"/></form></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/exchanges">Биржа кредитов</a></div>';
include ('../system/foot.php');
?>